import { Moment } from "moment";

export type GetStatisticSchildBody = {
	to: Moment | null;
	from: Moment | null;
	page: number;
	limit: number;
};

type StatisticsQuizes = {
	QuizID: string;
	Money: number;
	Regs: number;
};

export type QuizStatisticsItem = {
	ID: string;
	Money: number;
	Quizes: StatisticsQuizes[];
	Regs: number;
};

export type GetPromocodeStatisticsBody = {
	from: number;
	to: number;
};

export type AllPromocodeStatistics = {
	Money: number;
	Regs: number;
};
