import { DataGrid } from "@mui/x-data-grid";
import { styled } from "@mui/material/styles";

export default styled(DataGrid)(({ theme }) => ({
	width: "100%",
	minHeight: "400px",
	margin: "10px 0",
	color: theme.palette.secondary.main,
	"& .MuiDataGrid-iconSeparator": {
		display: "none",
	},
	"& .css-levciy-MuiTablePagination-displayedRows": {
		color: theme.palette.secondary.main,
	},
	"& .MuiSvgIcon-root": {
		color: theme.palette.secondary.main,
	},
	"& .MuiTablePagination-selectLabel": {
		color: theme.palette.secondary.main,
	},
	"& .MuiInputBase-root": {
		color: theme.palette.secondary.main,
	},
	"& .MuiButton-text": {
		color: theme.palette.secondary.main,
	},
})) as typeof DataGrid;
