import { TextField } from "@mui/material";
import { styled } from "@mui/material/styles";
export default styled(TextField)(({ theme }) => ({
	variant: "outlined",
	height: "40px",
	size: "small",
	color: theme.palette.secondary.main,
	width: "140px",
	backgroundColor: theme.palette.content.main,
	"& .MuiFormLabel-root": {
		color: theme.palette.secondary.main,
	},
	"& .Mui-focused": {
		color: theme.palette.secondary.main,
	},
}));
