import { styled } from "@mui/material/styles";
import { TextField } from "@mui/material";
export default styled(TextField)(({ theme }) => ({
	color: theme.palette.grayLight.main,
	"& .MuiInputLabel-root": {
		color: theme.palette.grayLight.main,
	},
	"& .MuiFilledInput-root": {
		border: theme.palette.grayLight.main + " 1px solid",
		borderRadius: "0",
		backgroundColor: theme.palette.hover.main,
		color: theme.palette.grayLight.main,
	},

	"& .MuiFilledInput-root.Mui-error": {
		fontSize: "8px",
	},
}));
