import * as React from "react";
import { Box, Typography } from "@mui/material";
import theme from "../../theme";

const Authorization: React.FC = () => {
	return (
		<React.Fragment>
			<Box
				sx={{
					display: "flex",
				}}
			>
				<Typography
					variant="subtitle1"
					sx={{
						display: "flex",
						flexDirection: "column",
						justifyContent: "center",
						alignItems: "center",
						cursor: "default",
					}}
				>
					PENA
				</Typography>
				<Typography
					variant="subtitle2"
					sx={{
						width: "55px",
						color: theme.palette.primary.main,
						backgroundColor: theme.palette.goldenDark.main,
						borderRadius: "5px",
						margin: theme.spacing(0.5),
						cursor: "default",
					}}
				>
					HUB
				</Typography>
			</Box>
		</React.Fragment>
	);
};

export default Authorization;
