import React, { useEffect, useState } from "react";

type ConditionalRenderProps = {
	isLoading: boolean;
	role: string;
	childrenUser?: JSX.Element;
	childrenAdmin?: JSX.Element;
	childrenManager?: JSX.Element;
};

const ConditionalRender = ({
	isLoading,
	role,
	childrenUser,
	childrenAdmin,
	childrenManager,
}: ConditionalRenderProps): JSX.Element => {
	// const [role, setRole] = useState<string>("");

	// useEffect(() => {
	//   const axiosAccount = async () => {
	//     try {
	//       const { data } = await axios.get(process.env.REACT_APP_DOMAIN + "/user/643e23f3dba63ba17272664d");
	//       setRole(data.role);
	//     } catch (error) {
	//       console.error("Ошибка при получение роли пользавателя");
	//     }
	//   };
	//   axiosAccount();
	// }, [role]);

	if (!isLoading) {
		if (role === "admin") {
			return childrenAdmin ? childrenAdmin : <div>Администратор</div>;
		}
		if (role === "user") {
			return childrenUser ? childrenUser : <div>Пользователь</div>;
		}
		if (role === "manager") {
			return childrenManager ? childrenManager : <div>Менеджер</div>;
		}
	}

	return <React.Fragment />;
};

export default ConditionalRender;
