import { Suspense } from "react";
import { Box } from "@mui/material";
import { LocalizationProvider } from "@mui/x-date-pickers";
import { AdapterMoment } from "@mui/x-date-pickers/AdapterMoment";

import { QuizInfo } from "./QuizInfo";
import { StatisticsSchild } from "./StatisticsSchild";
import { StatisticsPromocode } from "./StastisticsPromocode";

export const QuizStatistics = () => (
	<LocalizationProvider dateAdapter={AdapterMoment}>
		<QuizInfo />
		<StatisticsSchild />
		<Suspense fallback={<Box>Loading...</Box>}>
			<StatisticsPromocode />
		</Suspense>
	</LocalizationProvider>
);
