import { CircularProgress, Typography } from "@mui/material";
import Cart from "@root/kitUI/Cart/Cart";
import TariffsDG from "./tariffsDG";
import { Suspense } from "react";
import { ErrorBoundary } from "react-error-boundary";

export default function TariffsInfo() {
	return (
		<>
			<Typography variant="h6" mt="20px">
				Список тарифов
			</Typography>
			<TariffsDG />
			<ErrorBoundary fallback={<Typography>Что-то пошло не так</Typography>}>
				<Suspense fallback={<CircularProgress />}>
					<Cart />
				</Suspense>
			</ErrorBoundary>
		</>
	);
}
