import { Discount } from "@frontend/kitui";
import { DiscountType } from "@root/model/discount";

export function getDiscountTypeFromLayer(layer: Discount["Layer"]): DiscountType {
	switch (layer) {
		case 1:
			return "privilege";
		case 2:
			return "service";
		case 3:
			return "cartPurchasesAmount";
		case 4:
			return "purchasesAmount";
		default:
			throw new Error("Wrong discount layer");
	}
}
